Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060438 - Review Request: python-pycalendar - iCalendar/vCard library
Summary: Review Request: python-pycalendar - iCalendar/vCard library
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: calendarserver
TreeView+ depends on / blocked
 
Reported: 2014-02-01 19:46 UTC by Matěj Cepl
Modified: 2018-04-11 18:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-26 14:43:42 UTC
crobinso: fedora-review+


Attachments (Terms of Use)

Description Matěj Cepl 2014-02-01 19:46:53 UTC
Spec URL: http://mcepl.fedorapeople.org/tmp/python-pycalendar.spec
SRPM URL: http://mcepl.fedorapeople.org/tmp/python-pycalendar-2-0.0.20140201svn214.el7.src.rpm
Description:
Python-based iCalendar (RFC 5545) and vCard (RFC 2426) library                  
that allows iCalendar and vCard data to be parsed, manipulated                  
and generated using an API that closely resembles the object                    
models of iCalendar and vCard. The library includes options to                  
validate input data, and also output data in XML format. The                    
package also includes a tool to parse Olson timezone database                   
information to generate iCalendar compatible timezone                           
definitions.
Fedora Account System Username: mcepl

Builds in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=6479806

Comment 2 Cole Robinson 2014-02-26 21:42:19 UTC
fedora-review doesn't flag anything major, neither does manual inspection. Few tidbits:

- https://fedoraproject.org/wiki/Packaging:Python#Macros: suggests adding a python2_sitearch definition. probably doesn't affect this package but I'd recommend following the docs for consistency

- URL and Source aren't column aligned like the rest of the fields

- tarball has src/pycalendar/tests but its unclear how they are expected to be invoked. might want to consider figuring it out and running them in a %check section

But none of those are blocking issues IMO, so setting fedora-review+

Comment 3 Christopher Meng 2014-02-27 03:27:31 UTC
Drop

rm -rf $RPM_BUILD_ROOT

Source discussion:

I checked the BSD ports of caldav(https://github.com/rvanlaar/caldavports/), it has a version 2.0, then I searched on pypi and found:

https://pypi.python.org/pypi/pycalendar/2.0

Which may be potentially the same as https://pypi.python.org/pypi/Py-Calendar

Would you like to check it?

Comment 4 Cole Robinson 2014-02-27 14:21:14 UTC
(In reply to Christopher Meng from comment #3)
> Drop
> 
> rm -rf $RPM_BUILD_ROOT
> 

so that's no longer required for EPEL? Is that another side effect of using newer rpmbuild as Michael mentioned here:

https://bugzilla.redhat.com/show_bug.cgi?id=1003089#c32

Comment 5 Christopher Meng 2014-02-27 14:33:28 UTC
(In reply to Cole Robinson from comment #4)
> (In reply to Christopher Meng from comment #3)
> > Drop
> > 
> > rm -rf $RPM_BUILD_ROOT
> > 
> 
> so that's no longer required for EPEL? Is that another side effect of using
> newer rpmbuild as Michael mentioned here:
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=1003089#c32

No, drop this line is harmless.

Comment 6 Matěj Cepl 2014-05-26 14:43:42 UTC
see bug 1060440 comment 16


Note You need to log in before you can comment on or make changes to this bug.